package microfolie.db.table;

import db.DatabaseTable;
import db.annotation.DbTable;
import entity.Niveau;

@DbTable(name = "Niveau", entity = Niveau.class)
public class NiveauTable extends DatabaseTable<Niveau> {
	
	private static NiveauTable instance;
	
	private NiveauTable() {
		// Private constructor for singleton
	}
	
	public static NiveauTable getInstance() {
		if(instance == null) {
			instance = new NiveauTable();
		}
		return instance;
	}
	
}
